summaryrefslogtreecommitdiffstats
path: root/Lib/sunos4
diff options
context:
space:
mode:
authorGuido van Rossum <guido@python.org>1994-05-17 09:28:58 (GMT)
committerGuido van Rossum <guido@python.org>1994-05-17 09:28:58 (GMT)
commitc95f7248d6866640160e7bf6620b0448a9e02ef7 (patch)
treee42052fe3d199284e3ccb4319a39a58a7782eca8 /Lib/sunos4
parent01f5f62401b83e5412761e497f952367522df7f8 (diff)
downloadcpython-c95f7248d6866640160e7bf6620b0448a9e02ef7.zip
cpython-c95f7248d6866640160e7bf6620b0448a9e02ef7.tar.gz
cpython-c95f7248d6866640160e7bf6620b0448a9e02ef7.tar.bz2
Script to regenerate FCNTL.py, IN.py, SOCKET.py
Diffstat (limited to 'Lib/sunos4')
-rwxr-xr-xLib/sunos4/regen11
1 files changed, 11 insertions, 0 deletions
diff --git a/Lib/sunos4/regen b/Lib/sunos4/regen
new file mode 100755
index 0000000..f1482db
--- /dev/null
+++ b/Lib/sunos4/regen
@@ -0,0 +1,11 @@
+#! /bin/sh
+case `uname -sr` in
+'SunOS 4.'*) ;;
+*) echo Probably not on a SunOS 4 system 1>&2
+ exit 1;;
+esac
+set -v
+h2py </usr/include/sys/fcntlcom.h >FCNTL.py
+echo "O_ACCMODE = (O_RDONLY|O_WRONLY|O_RDWR)" >>FCNTL.py
+h2py /usr/include/sys/socket.h
+h2py -i '(u_long)' /usr/include/netinet/in.h